<?php
/*
Plugin Name: Technotags
Plugin URI: http://david.davies.name/weblog/wordpress-plugins/technotags-plugin/
Description: A simple plugin for adding Technorati tags
Version: v1.1
Author: David Davies
Author URI: http://david.davies.name/
*/

/*  Copyright 2006  PLUGIN_AUTHOR_NAME  (email : PLUGIN AUTHOR EMAIL)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

add_filter('the_content', 'ddtechnotags');

function ddtechnotags ($content)

{
	$tags = "";
	
	$md = get_post_custom_values('google'); 
	$n = sizeof ($md);
	if ($n != 0) {
		$tags = $tags."Google: ";
		$c = 0;
		foreach ($md as $value) {
			$c++;
			$tags = $tags."<a href=\"http://www.google.com/search?q=$value\" rel=\"tag\">$value</a>";
			if ($c < $n) {
				$tags = $tags.", ";
				}
		}
		$tags = $tags."<br />";
	}

	$md = get_post_custom_values('technorati'); 
	$n = sizeof ($md);
	if ($n != 0) {
		$tags = $tags."Technorati: ";
		$c = 0;
		foreach ($md as $value) {
			$c++;
			$tags = $tags."<a href=\"http://www.technorati.com/tags/$value\" rel=\"tag\">$value</a>";
			if ($c < $n) {
				$tags = $tags.", ";
				}
		}
		$tags = $tags."<br />";
	}

	$md = get_post_custom_values('delicious'); 
	$n = sizeof ($md);
	if ($n != 0) {
		$tags = $tags."Del.icio.us: ";
		$c = 0;
		foreach ($md as $value) {
			$c++;
			$tags = $tags."<a href=\"http://del.icio.us/popular/$value\" rel=\"tag\">$value</a>";
			if ($c < $n) {
				$tags = $tags.", ";
				}
		}
		$tags = $tags."<br />";
	}

	$md = get_post_custom_values('flickr'); 
	$n = sizeof ($md);
	if ($n != 0) {
		$tags = $tags."Flickr: ";
		$c = 0;
		foreach ($md as $value) {
			$c++;
			$tags = $tags."<a href=\"http://www.flickr.com/photos/tags/$value\" rel=\"tag\">$value</a>";
			if ($c < $n) {
				$tags = $tags.", ";
				}
		}
		$tags = $tags."<br />";
	}

	$md = get_post_custom_values('gmap'); 
	$n = sizeof ($md);
	if ($n != 0) {
		$c = 0;
		foreach ($md as $value) {
			$c++;
			$tags = $tags."This post has been geotagged: <a href=\"http://maps.google.com/maps?q=$value&iwloc=A&hl=en\" rel=\"tag\">Google Map</a>";
			if ($c < $n) {
				$tags = $tags.", ";
				}
		}
		$tags = $tags."<br />";
	}

	if ($tags != "") {
		$tags = "<p class=\"technotags\">$tags</p>";
	}
	
	return $content.$tags;
	
}


?>